> ## Documentation Index
> Fetch the complete documentation index at: https://snowseo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates

> List the prebuilt report templates.

Return the visible prebuilt report templates (managed by SnowSEO admins). Returns `{ templates }`, where each template exposes `slug`, `name`, `description`, `icon`, `accent`, `category`, and `content`, ordered by sort order.


## OpenAPI

````yaml GET /v3/reports/templates
openapi: 3.0.0
info:
  title: SnowSEO API
  description: API documentation for SnowSEO
  version: 1.0.0
servers:
  - url: https://api.snowseo.com
    description: Production server
security:
  - bearerAuth: []
  - apiKey: []
externalDocs:
  url: https://snowseo.com/docs
  description: Find more info here
paths:
  /v3/reports/templates:
    get:
      tags:
        - Reports
      summary: List report templates
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  templates:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
                      properties:
                        slug:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                          nullable: true
                        icon:
                          type: string
                          nullable: true
                        accent:
                          type: string
                          nullable: true
                        category:
                          type: string
                          nullable: true
                        content:
                          type: object
                          additionalProperties: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your SnowSEO API key (sk_...).
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.